-- Tabela 4
			CREATE TABLE [dbo].[B2C_OCORRENCIA_TROCA](
				[ID_OCORRENCIA] [int] NOT NULL,
				[ID_ITEM] [int] NOT NULL,
				[CODIGO_BARRA] [char](25) NOT NULL,
				[PRODUTO] [char](12) NOT NULL,
				[COR_PRODUTO] [char](10) NOT NULL,
				[TAMANHO] [tinyint] NOT NULL,
				[QTDE] [int] NULL,
				[PRECO_LIQUIDO] [numeric](15, 2) NULL,
			 CONSTRAINT [XPKB2C_OCORRENCIA_TROCA] PRIMARY KEY CLUSTERED 
			(
				[ID_OCORRENCIA] ASC,
				[ID_ITEM] ASC
			)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
			) ON [PRIMARY]
			GO

			ALTER TABLE [dbo].[B2C_OCORRENCIA_TROCA]  WITH CHECK ADD  CONSTRAINT [XFK_B2C_OCORRENCIA_TROCA_B2C_OCORRENCIA] FOREIGN KEY([ID_OCORRENCIA])
			REFERENCES [dbo].[B2C_OCORRENCIA] ([ID_OCORRENCIA])
			ON UPDATE CASCADE
			ON DELETE CASCADE
			GO

			ALTER TABLE [dbo].[B2C_OCORRENCIA_TROCA] CHECK CONSTRAINT [XFK_B2C_OCORRENCIA_TROCA_B2C_OCORRENCIA]
			GO